%global pypi_name coveralls

Name:           python-%{pypi_name}
Version:        3.3.1
Release:    1%{?dist}
Summary:        Coveralls.io provides seamless integration with coverage.py

LICENSE:        MIT
URL:            https://github.com/coveralls-clients/coveralls-python
Source0:        https://github.com/coveralls-clients/%{pypi_name}-python/archive/%{version}.tar.gz
Patch0:         coveralls-python-3.3.1-permit-coverage7.patch
BuildArch:      noarch

BuildRequires:  python3-devel > 3.4
BuildRequires:  python3-setuptools
BuildRequires:  %{py3_dist coverage} > 4.0
BuildRequires:  python3-sphinx

%description
Coveralls makes custom report for data generated by coverage.py package and
sends it to json API of coveralls.io service. All python files in your coverage
analysis are posted to this service along with coverage stats, so please make
sure you're not ruining your own security! For private projects there is
Coveralls Pro.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Coveralls makes custom report for data generated by coverage.py package and
sends it to json API of coveralls.io service. All python files in your coverage
analysis are posted to this service along with coverage stats, so please make
sure you're not ruining your own security! For private projects there is
Coveralls Pro.

%package -n python3-%{pypi_name}-docs
Summary: python-%{pypi_name} documentation
Requires: python-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-docs
Includes the documentation for python-%{pypi_name}


%prep
%autosetup -n %{pypi_name}-python-%{version}
PYTHONPATH=./ sphinx-build-3 -a -b html ./docs/ ./docs/html/

%build
%py3_build

%install
%py3_install
cp %{buildroot}%{_bindir}/coveralls %{buildroot}%{_bindir}/coveralls-py3

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc CHANGELOG.md README.rst
%{python3_sitelib}/*
%{_bindir}/coveralls
%{_bindir}/coveralls-py3

%files -n python3-%{pypi_name}-docs
%doc docs/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-1
- initial build
